LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Variables
FileSystemNotation.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::ucb
| Universal Content Broker interfaces.

## Constant Groups
constants | com::sun::star::ucb::FileSystemNotation
| The notational conventions used to denote file system paths on different file systems or operating systems.

## Variables
const long | UNKNOWN_NOTATION = 0
| No information regarding any conventions is available. More...
const long | UNIX_NOTATION = 1
| The conventions of Unix like file systems (e.g., `/dir1/dir2/file`). More...
const long | DOS_NOTATION = 2
| The conventions of DOS like file systems (e.g., `a:\dir1\dir2\file` or UNC notation like `\\host\dir1\dir2\file`). More...
const long | MAC_NOTATION = 3
| The conventions of Mac like file systems (e.g., `volume:dir1:dir2:file`). More...